Bug 173914 - typo in signed modules patches
typo in signed modules patches
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Howells
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-22 10:49 EST by Dave Jones
Modified: 2015-01-04 17:23 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-08 16:23:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2005-11-22 10:49:20 EST
+int
+mpi_fdiv_qr( MPI quot, MPI rem, MPI dividend, MPI divisor )
+{
+    int divisor_sign = divisor->sign;
+    MPI temp_divisor = NULL;
+
+    if( quot == divisor || rem == divisor ) {
+       if (mpi_copy( &temp_divisor, divisor ) < 0);
+       return -ENOMEM;
+       divisor = temp_divisor;
+    }



should be ..

+    if( quot == divisor || rem == divisor ) {
+       if (mpi_copy( &temp_divisor, divisor ) < 0)
+             return -ENOMEM;
+       divisor = temp_divisor;
+    }



Found by code inspection.
Comment 1 David Howells 2006-03-07 09:41:18 EST
Committed 2005-11-23. 

Note You need to log in before you can comment on or make changes to this bug.